/* Author: Insaitov */
(function($){
  Drupal.behaviors.theme = {
    attach: function(context) {
      //$('a[rel^=lightbox]').addClass('lightbox-processed');
    $('.page-news .pager .pager-next a').text('Вперед');
    $('.page-news .pager .pager-previous a').text('Назад');
    $('.page-node-add-question #edit-submit').val('Отправить');
    /*$('#block-quicktabs-description-office .views-label').click(function(){
      if($(this).parent().hasClass('active')) {
        $(this).parent().removeClass('active');
      } else {
        $(this).parent().addClass('active');
      }
    });   
    $('#block-views-organizations-block-1 .views-label').click(function(){
      if($(this).parent().hasClass('active')) {
        $(this).parent().removeClass('active');
      } else {
        $(this).parent().addClass('active');
      }
    });*/
    //$('#block-views-organizations-block-2 .view-content').accordion();

    $('.node-brim.node-teaser h2').click(function(){
        if($(this).next().hasClass('active')) {
          $(this).next().removeClass('active');
          $(this).next().next().removeClass('active');
          $('.node-brim.node-teaser .contextual-links-wrapper').removeClass('active');
          $('.node-brim.node-teaser .content').removeClass('active');
        } else {
          $('.node-brim.node-teaser .contextual-links-wrapper').removeClass('active');
          $('.node-brim.node-teaser .content').removeClass('active');
          $(this).next().addClass('active');
          $(this).next().next().addClass('active');
        }
    });
    $('.node-brim.node-teaser .brim-title').click(function(){
        if($(this).next().hasClass('active')) {
          $(this).next().removeClass('active');
        } else {
          $(this).next().addClass('active');
        }
    });
    
    //console.log('msg');
    $('.page-organizations #block-views-organizations-block-1 .col-1 a').click(function(){
      document.location.href='http://sokolinfo.ru/';
      return false; 
    });
    
    /****/
    $('.node-brimmunicipal.node-teaser h2').click(function(){
        if($(this).next().hasClass('active')) {
          $(this).next().removeClass('active');
          $(this).next().next().removeClass('active');
          $('.node-brim.node-teaser .contextual-links-wrapper').removeClass('active');
          $('.node-brim.node-teaser .content').removeClass('active');
        } else {
          $('.node-brim.node-teaser .contextual-links-wrapper').removeClass('active');
          $('.node-brim.node-teaser .content').removeClass('active');
          $(this).next().addClass('active');
          $(this).next().next().addClass('active');
        }
    });
    $('.node-brimmunicipal.node-teaser .brim-title').click(function(){
        if($(this).next().hasClass('active')) {
          $(this).next().removeClass('active');
        } else {
          $(this).next().addClass('active');
        }
    });
    /***/
    $('.node-brimofficer.node-teaser h2').click(function(){
        if($(this).next().hasClass('active')) {
          $(this).next().removeClass('active');
          $(this).next().next().removeClass('active');
          $('.node-brim.node-teaser .contextual-links-wrapper').removeClass('active');
          $('.node-brim.node-teaser .content').removeClass('active');
        } else {
          $('.node-brim.node-teaser .contextual-links-wrapper').removeClass('active');
          $('.node-brim.node-teaser .content').removeClass('active');
          $(this).next().addClass('active');
          $(this).next().next().addClass('active');
        }
    });
    $('.node-brimofficer.node-teaser .brim-title').click(function(){
        if($(this).next().hasClass('active')) {
          $(this).next().removeClass('active');
        } else {
          $(this).next().addClass('active');
        }
    });
    $('.page-node-add-request #edit-submit').val('Задать вопрос');
    },
    //$('a[rel^=lightbox]').not('lightbox-processed').addClass('lightbox-processed')
  };
})(this.jQuery);
